Skip to content
Start here

Get tunnel route by IP

zero_trust.networks.routes.ips.get(strip, IPGetParams**kwargs) -> Teamnet
GET/accounts/{account_id}/teamnet/routes/ip/{ip}

Fetches routes that contain the given IP address.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Networks WriteCloudflare One Networks ReadCloudflare Tunnel WriteCloudflare Tunnel Read
ParametersExpand Collapse
account_id: str

Cloudflare account ID

maxLength32
ip: str
default_virtual_network_fallback: Optional[bool]

When the virtual_network_id parameter is not provided the request filter will default search routes that are in the default virtual network for the account. If this parameter is set to false, the search will include routes that do not have a virtual network.

virtual_network_id: Optional[str]

UUID of the virtual network.

formatuuid
ReturnsExpand Collapse
class Teamnet:
id: Optional[str]

UUID of the route.

maxLength36
comment: Optional[str]

Optional remark describing the route.

maxLength100
created_at: Optional[datetime]

Timestamp of when the resource was created.

formatdate-time
deleted_at: Optional[datetime]

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time
network: Optional[str]

The private IPv4 or IPv6 range connected by the route, in CIDR notation.

tun_type: Optional[Literal["cfd_tunnel", "warp_connector", "warp", 4 more]]

The type of tunnel.

One of the following:
"cfd_tunnel"
"warp_connector"
"warp"
"magic"
"ip_sec"
"gre"
"cni"
tunnel_id: Optional[str]

UUID of the tunnel.

formatuuid
maxLength36
tunnel_name: Optional[str]

A user-friendly name for a tunnel.

virtual_network_id: Optional[str]

UUID of the virtual network.

formatuuid
virtual_network_name: Optional[str]

A user-friendly name for the virtual network.

maxLength256

Get tunnel route by IP

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
teamnet = client.zero_trust.networks.routes.ips.get(
    ip="10.1.0.137",
    account_id="699d98642c564d2e855e9661899b7252",
)
print(teamnet.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "Example comment for this route.",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "network": "172.16.0.0/16",
    "tun_type": "cfd_tunnel",
    "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "tunnel_name": "blog",
    "virtual_network_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "virtual_network_name": "us-east-1-vpc"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "Example comment for this route.",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "network": "172.16.0.0/16",
    "tun_type": "cfd_tunnel",
    "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "tunnel_name": "blog",
    "virtual_network_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "virtual_network_name": "us-east-1-vpc"
  },
  "success": true
}